<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Tdct JSON</title>

<meta content="Rolf Keitel" name="author"></head>
<body>
<h2>JSON Support</h2>
<a href="#JSONInfoNodes"></a>
<br>
Tdct attempts to help the schematic designer with providing JSON
syntax checks&nbsp;for info nodes and JSON links.<br>
<br>
For this there exists a special JSON dialog which pops up<br><ul><li>if&nbsp;{ is entered into an empty info node value field or an empty link field</li><li>on a right-click of an info node value field or a link field where the field value starts with {</li></ul>
The Dialog contains two text areas. Both are loaded with the contents of the info node value field or link field.<br><br>Note that tdct reformats the JSON objects from the top text area by replacing all newline characters with "~nl~".<br><br>If the "Apply" button is pressed, a JSON syntax check is performed on the string in the top text area and the <br>result is shown in the bottom text area.<br><br>If he "Ok" buttons is pressed,&nbsp;a JSON syntax check is performed on the string in the top text area.<br>If the check is successful, the JSON string is stored with the info node or link field.<br>If the check fails<br>- the result is shown in the bottom text area and the dialog does not close.<br>- the button "Accept Error" is shown which allows storing an erroneous JSON string.<br><span style="font-style: italic;"><br>The screen shot below shows the dialog after "Apply" was pressed and the syntax check succeeded.</span><br>
<img style="width: 701px; height: 402px;" alt="JSON dialog" src="JsonDialog.png"><br>
<span style="font-style: italic;"><br><br></span>
<span style="font-style: italic;">The screen shot below shows the dialog after "Ok" or "Apply" was pressed and the syntax check failed.<br>Note the "Accept Error" button.<br></span><span style="font-weight: bold;"></span><br>
<img style="width: 702px; height: 403px;" alt="JSON dialog with error" src="JsonDialogError.png"><br>
<a href="TdctJson.html#JSONSupport"></a><br><br>
</body></html>